
/* -- popup layer -- */
body.fixed {
	overflow: hidden;
	width:100%;
}
.popLayer_wrap {
	display:none;
	position:fixed;
	top:0;
	left:0;
	width:100%;
	height:100%;
	z-index:1;
	&:before {
		position:absolute;
		top:0;
		left:0;
		width:100%;
		height:100%;
		background:rgba(0,0,0,0.5);
		content:'';
	}
	.popup {
		position:absolute;
		top:50%;
		left:50%;
		transform:translate(-50%,-50%);
		border:1px solid #b2b2b2;
		background:#fff;
		box-shadow:0 3px 3px 2px rgba(0,0,0,0.3)
	}
}
/* popup style */
.popup {
	> .cont_top {
		padding:11px 10px 12px;
		border-bottom:1px solid #ebeef3;

		.pop_title {
			color:#555;
			font: {size:17px;weight:500;};

			&:before{
				display:inline-block;
				content:'';
				box-sizing: border-box;
				width:5px;
				height:17px;
				vertical-align:top;
				margin-right:6px;
				border-top:8px solid $subColor;
				background:$mainColor;
			}
		}
	}
	.cont_body {
		padding:10px;
	}
	> .btn_area {
		width:100%;
		padding:10px;
		border-top:1px solid #ebeef3;
		text-align:center;

		[class*="btn_pop_"] {
			display:inline-block;
			width:130px;
			line-height:35px;
			font: {size:15px; weight:500;};
			color:#fff;
		}
		.btn_pop_confirm {
			background:$subColor;
		}
		.btn_pop_close {
			background:#666;
		}
	}
	.table_wrap {
		padding: 0;
		max-width:640px;
		margin:0 auto;
	}

}

/* popLayer_wrap 경로변경 */
.popup.approvalRoute {
	top:20px;
	bottom:20px;
	left:10px;
	right:10px;
	transform: none;

	.cont_body{
		overflow: auto;
		position:absolute;
		top:41px;
		bottom:56px;
		width:100%;
	}
	.btn_area { 
		position:absolute;
		bottom:0;
	}

	.sort-btn_area {
		margin-top:-10px;
		font-size:0;

		[class^="btn_"] {
			box-sizing:content-box;
			width: 20px;
			height: 17px;
			padding:10px;
			background-repeat: no-repeat;
			background-position: 50% 50%;
			background-size:20px 17px;
		}
		.btn_spread {
			background-image:url(../images/btn_spread.png);
			&.active {
				background-image:url(../images/btn_spread_on.png);
			}
		}
		.btn_folding {
			background-image:url(../images/btn_folding.png);
			&.active {
				background-image:url(../images/btn_folding_on.png);
			}
		}
		.btn_ellipsis {
			background-image:url(../images/btn_ellipsis.png);
			background-size: 18px 4px;
		}

	}
	.sch_area{
		border: 1px solid $borderColor;

		.sel_item {
			width:100px;
			border:0;
		}
		.inp_item {
			width:calc( 100% - 141px );
			input {
				border:0;
				padding:0;
			}
		}
		.btn_sch {
			float:right;
			font-size:0;
			width:35px;
			height: 35px;
			background: url(../images/btn_sch.png) no-repeat 50% 50%;
			background-size:13px 15px;
		}
	}
	.route {
		overflow: auto;
		max-height:30vh;
		margin-top:-1px;
		border:1px solid $borderColor;

		ul {
			position: relative;
		}
		.list_wrap {
			padding-left:21px;
			background:url(../images/bg_route.png) repeat 0 0;
			background-size: 1px 60px;

			ul {
				display:none;
			}
			li {
				position:relative;
				z-index:0;
				padding-left:20px;
				font: {size:14px;weight:300;}
				&:before { // 세로줄
					content:'';
					position:absolute;
					left:-9px;
					width:1px;
					height:100%;
					border-left:1px solid $borderColor;
				}
				&:last-child:before{ // 마지막 li 세로줄
					height:15px;
				}
				&:after { // 가로줄
					content:'';
					position: absolute;
					z-index:-1;
					top:0;
					left:-9px;
					width:9px;
					height:15px;
					border-bottom:1px solid $borderColor
				}
				.txt {
					display:inline-block;
					position:relative;
					width:calc( 100% - 31px );
					vertical-align:top;
					line-height:30px;
					
					&:before { // 세로줄
						content:'';
						position:absolute;
						top:30px;
						left:-9px;
						width:1px;
						height:calc( 100% - 30px );
						border-left:1px solid $borderColor;
					}
				}
			}
			.person {
				background:url(../images/ico_route_person.png) no-repeat 1px 8px;
				background-size: 12px 14px;

				&.sch_result {
					background:url(../images/ico_route_person_on.png)no-repeat 1px 8px;
					background-size: 13px 14px;
					color:$subColor;
					font-weight:500;
				}
			}
			.department {
				background:url(../images/ico_route_dpt.png) no-repeat 1px 8px;
				background-size: 15px 14px;

				&.plus {
					background:url(../images/ico_route_dpt_plus.png) no-repeat 1px 8px;
					background-size: 15px 14px;
					.txt {
						&:before { // 세로줄
							display:none;
						}
					}
				}
				&.minus {
					background:url(../images/ico_route_dpt_minus.png) no-repeat 1px 8px;
					background-size: 15px 14px;
				}
				&.sch_result {
					background:url(../images/ico_route_dpt_minus_on.png)no-repeat 1px 8px;
					background-size: 15px 14px;
					color:$subColor;
					font-weight:500;
				}
			}
			
			.btn_add {
				float:right;
				width: 25px;
				height: 30px;
				vertical-align:top;
				margin: 0 3px;
				background:url(../images/btn_add.png) no-repeat 50% 50%;
				background-size:20px;
				font-size:0;
				
			}
		}
	}
	.approve {
		margin-top:10px;

		.btn_listDelete {
			width:25px;
			height:25px;
			padding:5px 0;
			span {
				display:block;
				width:13px;
				height: 14px;
				margin:0 auto;
				font-size:0;
				background-image:url(../images/sp_approveTable.png);
				background-repeat: no-repeat;
				background-size:189px 42px;
			}
		}
		.btn_aco_approve {
			font-size:0;
			width:25px;
			height:25px;
			background-image:url(../images/sp_approveTable.png);
			background-repeat: no-repeat;
			background-size:149px 33px;
			background-position:-82px 0;

			&.active {
				background-position:-115px 0 !important;
			}
		}
		table {
			width:100%;
			table-layout: fixed;
			font: {size:14px;weight:300;};
			color:$fc_main;

			thead {
				th {
					padding:3px 0;
					border:1px solid #bababa;
					background:#bababa;
					font: {size:14px;weight:300;};
					color:#fff;

					.btn_listDelete {
						span {
							background-position: 0 0;
						}
					}
				}
			}
			tbody {
				td {
					padding:3px 0;
					border:1px solid $borderColor;
					border-top:0;
					text-align:center;
					line-height: 1.3;

					&:nth-child(2){
						padding:3px 4px;
						text-align:left;
					}
					&:nth-child(5){
						border-right:0;
					}
					&:nth-child(6){
						border-left:0;
					}
					.ellip_1{
						display:block;
					}
					.btn_listDelete {
						span {
							background-position: -42px 0;
						}
					}
				}
				tr.fixed {
					td {
						background:#f5f5f5;
					}
					.btn_listDelete {
						span {
							background-position: -21px 0;
						}
					}
					.btn_aco_approve {
						background-position:-50px 0;
					}
				}
				tr.approve_menu_row {
					td{
						padding:0;
						border:0;
					}
					.approve_menu{
						overflow: hidden;
						height:0;
						background:$subColor;
						transition: 0.3s;

						.list_wrap {
							@include display-flex;
							width:100%;
							li {
								@include flex($fg: 1, $fs: null, $fb: null);
								padding:2px;
								vertical-align:top;
								
								.btn_approve_item {
									display:block;
									width:100%;
									height:35px;
									padding:2px 0;
									border-radius:2px;
									background:rgba(255,255,255,0.75);
									font: {size:14px;weight:300;}
									color: $subColor;
									line-height:1.2;

								}
								&.active .btn_approve_item{
									background:rgba(255,255,255,1);
									font-weight:500;
								}
							}
						}
					}
					&.active{
						td {
							border:1px solid $subColor;
						}
						.approve_menu{
							height:41px;
							padding-top:1px;
							background:$subColor;
							
						}
					} 
				}
			}

		}
	}
} 

/* popLayer_wrap 문서정보 조회 */
.popup.documentInfo,
.popup.documentEdit {
	top:20px;
	bottom:20px;
	left:10px;
	right:10px;
	transform: none;

	.cont_body{
		overflow: auto;
		position:absolute;
		top:41px;
		bottom:56px;
		width:100%;
	}
	.btn_area { 
		position:absolute;
		bottom:0;
	}
	.table_wrap {
		.slideCont{
			padding:0;

			.btn_aco {
				float:right;
				padding:5px 10px;
				margin:3px 4px;
				border:1px solid $borderColor;
				background:$subColor;
				color:#fff;

				&.active{
					background:#fafafa;
					color:#7c7c7c;
				}
			}
			.cont_top{
				display:table;
				width:100%;
				overflow:hidden;
				.openRange{
					display:table-cell;
					padding:3px 4px;
					vertical-align:middle;
				}
			}
			.detailedView{
				display:none;
				padding:3px 4px;
				border-top:1px solid #d9d9d9;
			}
		}
		.sel_item{
			display:block;
			overflow: hidden;
			height:26px;
		}
		.chk_item-readonly{
			float:left;
			margin-right:3px;
		}
	}
}

/* popLayer_wrap 문서정보 수정 */
.popup.documentEdit {}

/* popLayer_wrap 결재의견 */
.popup.approvalComment {
	width:calc(100% - 30px);
	max-width:500px;

	.textArea_wrap {
		height:200px;

		textarea {
			height:100%;
			border-color:#e9e9e9;
		}
	}
}


/* responsive */
@media (max-width:360px) {
	.popup.approvalRoute .approve table,
	.popup.approvalRoute .approve .approve_menu .list_wrap li .btn_approve_item {
		font-size:12px;
	}

}


//[D]
//body {height:1200px;}

/* -- end : popup layer -- */